Index: src/ACLIP.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/ACLIP.cc,v
retrieving revision 1.4
diff -u -p -r1.4 ACLIP.cc
--- src/ACLIP.cc	15 Jul 2003 02:12:42 -0000	1.4
+++ src/ACLIP.cc	15 Jul 2003 20:49:01 -0000
@@ -368,7 +368,7 @@ ACLIP::~ACLIP()
 wordlist *
 ACLIP::dump() const
 {
-    wordlist *w (NULL);
+    wordlist (*w)(NULL);
     data->walk (DumpIpListWalkee, &w);
     return w;
 }
Index: src/ESICustomParser.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/ESICustomParser.cc,v
retrieving revision 1.2
diff -u -p -r1.2 ESICustomParser.cc
--- src/ESICustomParser.cc	15 Jul 2003 02:12:43 -0000	1.2
+++ src/ESICustomParser.cc	15 Jul 2003 20:49:01 -0000
@@ -79,7 +79,7 @@ char const *
 ESICustomParser::findTag(char const *buffer, size_t bufferLength)
 {
     size_t myOffset (0);
-    void *resulttype (NULL);
+    void (*resulttype)(NULL);
 
     while (myOffset < bufferLength &&
             (resulttype =GetTrie()->findPrefix (buffer + myOffset, bufferLength - myOffset)) == NULL)
@@ -109,7 +109,7 @@ ESICustomParser::parse(char const *dataT
     size_t openESITags (0);
     char const *currentPos = content.buf();
     size_t remainingCount = content.size();
-    char const *tag (NULL);
+    char const (*tag)(NULL);
 
     while ((tag = findTag(currentPos, remainingCount))) {
         if (tag - currentPos)
Index: src/ESIExcept.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/ESIExcept.h,v
retrieving revision 1.1
diff -u -p -r1.1 ESIExcept.h
--- src/ESIExcept.h	11 Mar 2003 03:16:07 -0000	1.1
+++ src/ESIExcept.h	15 Jul 2003 20:49:01 -0000
@@ -42,8 +42,10 @@
 
 /* esiExcept */
 
-struct esiExcept : public esiSequence
+class esiExcept : public esiSequence
 {
+
+public:
     //    void *operator new (size_t byteCount);
     //    void operator delete (void *address);
     void deleteSelf() const;
Index: src/SwapDir.h
===================================================================
RCS file: /cvsroot/squid/squid3/src/SwapDir.h,v
retrieving revision 1.5
diff -u -p -r1.5 SwapDir.h
--- src/SwapDir.h	7 Mar 2003 03:13:26 -0000	1.5
+++ src/SwapDir.h	15 Jul 2003 20:49:02 -0000
@@ -42,7 +42,7 @@ typedef void STFSSTARTUP(void);
 typedef void STFSSHUTDOWN(void);
 typedef SwapDir *STFSNEW(void);
 
-struct SwapDir
+class SwapDir
 {
 
 public:
Index: src/fs/ufs/store_io_ufs.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/fs/ufs/store_io_ufs.cc,v
retrieving revision 1.8
diff -u -p -r1.8 store_io_ufs.cc
--- src/fs/ufs/store_io_ufs.cc	4 Mar 2003 03:14:48 -0000	1.8
+++ src/fs/ufs/store_io_ufs.cc	15 Jul 2003 20:49:02 -0000
@@ -432,9 +432,9 @@ UFSStoreState::~UFSStoreState()
         delete qr;
     }
 
-    struct _queued_write *qw;
+    class _queued_write *qw;
 
-    while ((qw = (struct _queued_write *)linklistShift(&pending_writes))) {
+    while ((qw = (class _queued_write *)linklistShift(&pending_writes))) {
         if (qw->free_func)
             qw->free_func(const_cast<char *>(qw->buf));
         delete qw;
@@ -532,7 +532,7 @@ UFSStoreState::queueWrite(char const *bu
 {
     debug(79, 3) ("UFSStoreState::queueWrite: queuing write\n");
 
-    struct _queued_write *q;
+    class _queued_write *q;
     q = new _queued_write;
     q->buf = buf;
     q->size = size;


